%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           redhat-certification-sosreport
Version:        0.3
Release:        2%{?dist}
Summary:        Sosreport runner for Red Hat Certification

Group:          Applications/System
License:        GPLv2
URL:            http://www.redhat.com/
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  python-devel, python-setuptools
Requires:       redhat-certification
Requires:       sos >= 3.2

%description
Sosreport runner for Red Hat Certification

%prep
%setup -q

%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
> $RPM_BUILD_ROOT%{python_sitelib}/rhcert/suites/sosreport/__init__.py


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README
%{python_sitelib}/rhcert/suites/sosreport
%exclude %{python_sitelib}/rhcert/__init__.py*
%exclude %{python_sitelib}/rhcert/suites/__init__.py*
%exclude %{python_sitelib}/rhcert/suites/sosreport/example.py*
%{python_sitelib}/redhat_certification_sosreport*egg-info

%changelog
* Thu Apr 2 2015 Poornima Kshirsagar <pkshiras@redhat.com> 0.3-2
- added requires sos >= 3.2 in specs

* Fri Mar 27 2015 Poornima Kshirsagar <pkshiras@redhat.com> 0.3-1
- Bumped version to 0.3-1
- Changed ownership to /rhcert/suites/sosreport in %%files

* Tue Mar 24 2015 Poornima Kshirsagar <pkshiras@redhat.com> 0.2-1
- Bumped version to 0.2-1

* Thu Feb 26 2015 Poornima Kshirsagar <pkshiras@redhat.com> 0.1-4
- Remove __init__.py* from %%exclude in %%files.
- Clean up __init__.py in %%install

* Tue Jan 20 2015 Poornima Kshirsagar <pkshiras@redhat.com> 0.1-3
- %%exclude __init__.py* in %%files.

* Fri Nov 28 2014 Shreyank Gupta <sgupta@redhat.com> 0.1-2
- %%exclude example.py* in %%files. Other fixes in %%files.

* Thu Nov 6 2014 Shreyank Gupta <sgupta@redhat.com> 0.1-1
- Initial release.
